LOCARNA_P(1)

NAME
locarna_p - manual page for locarna_p (LocARNA 1.9.0)

DESCRIPTION
locarna_p - a tool for pairwise partition function alignment of RNA. Computes the partitition function and sequence and structure match probabilities.

USAGE: ../../src/locarna_p [-h,--help] [-V,--version] [-v,--verbose] [-q,--quiet] -m,--match=<score> -M,--mismatch=<score> --ribosum-file=<f> --use-ribosum=<bool> -i,--indel=<score> --indel-opening=<score> -s,--struct-weight=<score> [-e,--exp-prob=<prob>] -t,--tau=<factor> --temperature=<int> --pf-scale=<scale> [--stopwatch] -p,--min-prob=<prob> --max-bps-length-ratio=<factor> -a,--min-am-prob=<amprob> -b,--min-bm-prob=<bmprob> [--include-am-in-bm] [--write-arcmatch-probs=<file>] [--write-basematch-probs=<file>] -w,--width=<columns> -d,--max-diff=<diff> -D,--max-diff-am=<diff> --max-diff-at-am=<diff> --max-diff-aln=<aln file> --max-diff-pw-aln=<alignment> --fragment-match-probs=<"i j k l"> --maxBPspan=<span> [<bps-file 1>] [<bps-file 2>]

OPTIONS

-h,--help

    Help

-V,--version

    Version info

-v,--verbose

    Verbose

-q,--quiet

    Quiet

  Scoring parameters:

-m,--match=<score>(50)

    Match score

-M,--mismatch=<score>(0)

    Mismatch score

--ribosum-file=<f>(RIBOSUM85_60)

    Ribosum file

--use-ribosum=<bool>(true)

    Use ribosum scores

-i,--indel=<score>(-350)

    Indel score

--indel-opening=<score>(-500)

    Indel opening score

-s,--struct-weight=<score>(180)

    Maximal weight of 1/2 arc match

-e,--exp-prob=<prob>

    Expected probability

-t,--tau=<factor>(0)

    Tau factor in percent

--temperature=<int>(150)

    Temperature for PF-computation

--pf-scale=<scale>(1.0)

    Scaling of the partition function. Use in order to avoid overflow.

--stopwatch

    Print run time information.

-p,--min-prob=<prob>(0.0005)

    Minimal probability

--max-bps-length-ratio=<factor>(0.0)

    Maximal ratio of #base pairs divided by sequence length (default: no effect)

-a,--min-am-prob=<amprob>(0.0005)

    Minimal Arc-match probability

-b,--min-bm-prob=<bmprob>(0.0005)

    Minimal Base-match probability

--include-am-in-bm

    Include arc match cases in computation of base match probabilities

  Controlling output:

--write-arcmatch-probs=<file>

    Write arcmatch probabilities

--write-basematch-probs=<file>

    Write basematch probabilities

-w,--width=<columns>(120)

    Output width

  Heuristics for speed accuracy trade off:

-d,--max-diff=<diff>(-1)

    Maximal difference for alignment traces

-D,--max-diff-am=<diff>(-1)

    Maximal difference for sizes of matched arcs

--max-diff-at-am=<diff>(-1)

    Maximal difference for alignment traces, only at arc match positions

--max-diff-aln=<aln file>()

    Maximal difference relative to given alignment (file in clustalw format))

--max-diff-pw-aln=<alignment>()

    Maximal difference relative to given alignment (string, delim=&)

  Computed probabilities:

--fragment-match-probs=<"i j k l">()

    Requests probabilities for the match of fragments [i..j] and [k..l]. Accepts a ';' separated list of ranges.

  Constraints:

--maxBPspan=<span>(-1)

    Limit maximum base pair span (default=off)

  Input_files RNA sequences and pair probabilities:

    <bps-file 1>

    Input file 1

    <bps-file 2>

    Input file 2

REPORTING BUGS
Report bugs to <will (at) informatik.uni-freiburg.de>.